Subject: FAQ for alt.chinese.text.big5

From: [email-masked] (Shih-Kun Huang)
Date: Wed, 21 Apr 1993 16:31:25 GMT

New Group: alt.chinese.text.big5

Configuration:
                                            zW2HZ,HZ2GB,GB2BIG 
HZ, zW articles --> alt.chinese.text             |
BIG5  ------------> alt.chinese.text.big5        |
			                    GB2HZ, BIG2GB
After we set up this group, responses are too many to reply.

The following problems are asked most frequestly:

0) What is the purpose of this group ?
   nntp transfer is 8-bits clean inherently unless
   your sites may be across lines where only 
   7-bits transfers are allowed. Usenet in Taiwan
   are 8 bits clean. Many of the articles are
   written in BIG5 encoding. In order to adapt to
   BIG5 usenet users and communicate with overseas
   Chinese (inlcluding coming from mainland China,
   Taiwan, Hong Kong,...), we think we have enough
   audience of BIG5 users to support this group.

   All articles of alt.chinese.text either in HZ or zW 
   will be gated to alt.chinese.text.big5 in form of
   BIG5. And all articles of alt.chinese.text.big5 in
   BIG5 will be fed to alt.chinese.text in HZ encoding.
   The gateway for these two directions are completed
   by  the server "news.csie.nctu.edu.tw", and end
   users won't sense the gateway process.

   You need only to observe the conventions:
   Post articles in alt.chinese.text in HZ or zW.
   Port articles in alt.chinese.text.big5 in BIG5.
   Their contents in these two groups are the same.
   
1) How can I view BIG5 chars from modem connections:
   Most of the problems are due to your host system
   configuration. In Taiwan, our terminal servers
   with tty service from tel lines are set to 
   8-bits manually. But as we known, the setup
   in UNIX by defaults is to pass 7-bits. So, 
   if you have already BIG5 Chinese system installed,
   but can't view BIG5 code, you must negotiate with
   your system admin to persuade them to set 8-bits
   in the tty line. ( /etc/gettytab, and /etc/ttytab
   for SUN-OS)

2) How can I view (write) BIG code in PC ?
   Try to get Chinese system for PC, such as
   CWindow, ETen, KC. KC provide Taiwan users
   with a free Chinese system. You can get
   it from 
   moers2.edu.tw:/chinese-pub/chinese-sys/kc/kc.zip.
   You can try it.

3) How can I view BIG5 code from PC if I have Chinese
   system installed, and I use "telnet" for connection
   from PC.
   You must use 8-bits clean telnet. Try to get it
   from  
   moers2.ecu.tw:/chinese-pub/ncsa/{ncu,nctu,itri,iii}
   Or use "cutcp" (another NCSA )                 
   Try to use archie to search the nearest site to 
   reach. (in cutcp,only rlogin is 8-bits clean)
   (nctuccca.edu.tw is a mirror site of moers2.edu.tw)

4) How can I view BIG5 code from X-window ?
   Install cxterm. Please refer to FAQ of alt.chinese.text.
   try use
   "cxterm -hz BIG5 -fh hku-ch16"
   You needn't run "hztty" to view BIG5. 

5) After I setup all related things, why I still can't
   input BIG5 code ?
   stty pass8
      for BSD system
   stty -istrip
      for SYSV system

6) Why my gopher can't display BIG5 directories ?
   Recompile your gopher by SVSV curses if your
   sysetm is BSD system. For example, in SUN-OS,
   use CC=/usr/5bin/CC
       CFLAGS=-I/usr/5include
       LDFLAGS=-L/usr/5lib -lcurses -ltermcap
   setenv PAGER cless
      or use "more", or "pg" 
   	
7) Where can you get BIG5 stuff ?
   try 
   cc.nsysu.edu.tw
   gopher.ccu.edu.tw
   gopher.csie.nctu.edu.tw

   You can connect to the above servers by gopher
   or telnet and use "username=gopher".
   (for gopehr.csie, use 4270 port instead)

8) Why my "elm" can't show BIG5 code ?
   try "setenv LC_CTYPE iso_8859_1" for elm 2.4 PL21.
   and you can use builtin displayer.

   smtp is also like nntp and normally is also
   8-bits clean. But if the destination will
   be routed through bitnet, or if your mailer
   is not 8-bits clean, you can't mail BIG5 code.
   Try to uuencode in advance.

9) How can I post articles to alt.chinese.text.big5 ?
   Just write your aritcles in BIG5 Chinese system
   and post as usual.
   After your articles flow to news.csie.nctu.edu.tw,
   it will convert your articles into HZ encoding
   and feed to alt.chinese.text.

   If you have problems canceling articles 
   in both of the two groups, mail to us. Let us
   cancel them for you.

   (alt.chinese.text.big5 is not moderated from now on)

10) How can I write "BIG5" subject in "tin" ?
    You can edit "subject" line after entering editor.

11) How many editors supporting BIG5 editing ?
    Try "joe1.07", "celvis", "vi".

12) Can I use irc in BIG5 environment ?
    Both sides run "hztty irc" . or get 8-bits
    clean patched irc, from
    cc.nsysu.edu.tw (forget)
    ftp.csie.nctu.edu.tw:/pub/unix/irc

    for talk, try "ctalk"
13) Why it is so hard to understand what has been
    in alt.chinese.text ? ( mostly asked by
    Taiwan students)
    ...........

That's just what I can remember now.... and
many many , too many to enumerate.....
Any supplement or corrections of incorrect information, 
please write to "[email-masked]"

Sorry, if we can't reply to you for your problems to
us, please refer to this to see if we have answered
your questions. 

Date April 21, 1993
in the department of Computer Science and Information Enginerring
Chiao Tung University, HsinChu, Taiwan, R.O.C/